Page MenuHomePhabricator

InstCombine: Preserve nuw when reassociating nuw ops [2/3]
ClosedPublic

Authored by arsenm on Jun 18 2019, 4:25 PM.

Details

Reviewers
lebedev.ri
Summary

Alive says this is OK.

Diff Detail

Event Timeline

arsenm created this revision.Jun 18 2019, 4:25 PM
lebedev.ri accepted this revision.Jun 21 2019, 6:07 AM

Alive agrees here, this looks good for add, mul.
https://rise4fun.com/Alive/vkbp
https://rise4fun.com/Alive/6Rd

lib/Transforms/InstCombine/InstructionCombining.cpp
380

So for the purpose of this patch add/mul only, correct?

This revision is now accepted and ready to land.Jun 21 2019, 6:07 AM
arsenm marked an inline comment as done.Jun 21 2019, 6:23 AM
arsenm added inline comments.
lib/Transforms/InstCombine/InstructionCombining.cpp
380

Yes. Bit-ops are also handled here, but they don't have the flags to preserve

lebedev.ri marked an inline comment as done.Jun 21 2019, 6:24 AM
lebedev.ri added inline comments.
lib/Transforms/InstCombine/InstructionCombining.cpp
380

Yes, that's what i meant.

arsenm closed this revision.Jun 24 2019, 2:37 PM

r364234